// --------------------------------------------------------
// Copyright (c)
//
// contributions by Ansgar
//                  ansgar.radermacher@cea.fr
// maintained by    CEA LIST
//                  info-list@cea.fr

// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#include "sendReceive/SendServer.h"

// declare options
rclcpp::NodeOptions sendserver_options;

int main(int argc, char **argv) {
  rclcpp::init(argc, argv);

  auto sendserver = std::make_shared < sendReceive::SendServer
      > (sendserver_options);

  RCLCPP_INFO(sendserver->get_logger(), "SendServer has been initialized");

  rclcpp::executors::MultiThreadedExecutor executor;

  executor.add_node(sendserver->get_node_base_interface());

  executor.spin();
  rclcpp::shutdown();
}

